var win = null;
var web = null;

function OnWebkitCreated(Sender, Browser) {
  web.Webkit.Top = 0;
  web.Webkit.Left = 0;
  web.Webkit.Width = win.ClientWidth;
  web.Webkit.Height = win.ClientHeight;
  web.Webkit.Anchors = akLeft || akRight || akTop || akBottom;
}

function SearchDevDocs(q) {
   var url = "http://devdocs.io#q=" + Replace(q, " ", "%20");

   if (win == null) {
     win = new TForm(WeBuilder);
     win.width = 600;
     win.Height = 600;
     web = Script.CreateScriptableWebKit(win, url, &OnWebkitCreated);
   } else {
     web.Webkit.Load(url);
   }
   win.Show;
}

function SearchDevDocsAsk(Sender) {
  var ss = Editor.SelText;
  var s = prompt("Enter query", ss);
  if (s != "") {
    SearchDevDocs(s);
  }
}

function SearchDevDocsSel(Sender) {
  SearchDevDocs(Editor.SelText);
}

Script.RegisterAction("DevDocs.io", "Search Devdocs for ...", "Shift+Ctrl+I", &SearchDevDocsAsk);
Script.RegisterAction("DevDocs.io", "Search Devdocs For Selected", "", &SearchDevDocsSel);
